### Function

# RB assert_locked

#### Declaration [src]

    void
    rb_assert_locked (
      GMutex* mutex
    )

#### Description [src]

Asserts that `mutex` is currently locked. Does not work with all mutex implementations.

This function is not directly available to language bindings.

#### Parameters

`mutex`

  Type: `GMutex`

  A `GMutex`.

  The data is owned by the caller of the function.